| Extracted from Pike v7.8 release 866 at 2016-04-05.

[Top]
7.0::
Calendar
Calendar._TimeUnit

# Method Calendar._TimeUnit()->`-()

Method `-

  `object next()`
  `object prev()`
  `object `+(int n)`
  `object `-(int n)`
  `object `-(object x)`

Description

  next() and prev() give the logical next and previous object. The `+() operator gives that logical relative object, ie `my_day+14` gives 14 days ahead. `-() works the same way, but can also take an object of the same type and give the difference as an integer.